package benefactorkindboxreqparam

import (
	entity "git.gocasts.ir/ebhomengo/niki/entity"
	"time"
)

type KindBoxReqAddRequest struct {
	BenefactorID       uint               `json:"benefactor_id" example:"1"`
	TypeID             entity.KindBoxType `json:"type_id" example:"1"`
	DeliverAddressID   uint               `json:"deliver_address_id" example:"1"`
	DeliverReferDate   time.Time          `json:"deliver_refer_date" example:"2025-01-02T15:04:05Z"`
	DeliverReferTimeID uint               `json:"deliver_refer_time_id" example:"1"`
	CountRequested     uint               `json:"count_requested" example:"2"`
}

type KindBoxReqAddResponse struct {
	KindBoxReq entity.KindBoxReq `json:"kind_box_req"`
}
